#ifndef INCLUDEGUISCENE_H
#define INCLUDEGUISCENE_H

#include <QWidget>

class Scene : public QWidget
{
    Q_OBJECT
public:
    explicit Scene(QWidget *parent = nullptr);

    virtual ~Scene() {}

    virtual void parseArgs(QString) {}

    virtual void init() {}

    virtual void deinit() {}

signals:

public slots:
};

#endif // INCLUDEGUISCENE_H
